#!/usr/bin/python

################################################################
#                                                              #
# Blue Team Training Toolkit (BT3)                             #
# written by Juan J. Guelfo @ Encripto AS                      #
# post@encripto.no                                             #
#                                                              #
# Copyright 2013-2016 Encripto AS. All rights reserved.        #
#                                                              #
# BT3 is licensed under the FreeBSD license.                   #
# http://www.freebsd.org/copyright/freebsd-license.html        #
#                                                              #
################################################################


import random, string


def generate_string(size=10, chars=string.ascii_uppercase +  string.ascii_lowercase):
    return ''.join(random.choice(chars) for _ in range(size))


class Info:

    def __init__(self):
        self.author          = "Juan J. Guelfo @ Encripto AS"
        self.description     = "Default profile with cookie header and random elements."
        self.license         = "FreeBSD - http://www.freebsd.org/copyright/freebsd-license.html"
        self.references      = "https://www.encripto.no"    


class Request:

    def __init__(self):
        self.method          = "GET"
        self.URI             = ["/index.aspx?menu=20"]
        self.body            = ""
        self.headers         = [{"field" : "Accept",          "value" : "text/html, application/xhtml+xml, */*"},
                                {"field" : "Accept-Language", "value" : "en-US"},
                                {"field" : "Accept-Encoding", "value" : "gzip, deflate"},
                                {"field" : "User-Agent",      "value" : "Mozilla/5.0 (Windows NT 6.1; WOW64; Trident/7.0; rv:11.0) like Gecko"},
                                {"field" : "Cookie" ,         "value" : "ASP.NET_SessionId=kqua4545cnii2ou0wxaojs45; mb=%s; language=EN; size=10" % generate_string(random.randint(10, 50))},
                                {"field" : "Host",            "value" : "yourhost.com"}]


class Response:

    def __init__(self):
        self.code            = "200"
        self.banner          = "Microsoft-IIS/7.5"
        self.body            = "%s" % generate_string(random.randint(1, 1000))
        self.headers         = [{"field" : "Cache-Control", "value" : "no-cache"},
                                {"field" : "Content-type",  "value" : "text/html"},
                                {"field" : "Pragma",        "value" : "no-cache"},
                                {"field" : "X-Powered-By",  "value" : "ASP.NET" }]


class Network:

    def __init__(self):
        self.protocol        = "HTTP/1.1"
        self.encoding        = "base64"
        self.delay           = "5"
        self.jitter          = "0"


class Profile:

    def __init__(self):
        self.info     = Info()
        self.request  = Request()
        self.response = Response()
        self.network  = Network()
        

