#!/usr/bin/python

################################################################
#                                                              #
# Blue Team Training Toolkit (BT3)                             #
# written by Juan J. Guelfo @ Encripto AS                      #
# post@encripto.no                                             #
#                                                              #
# Copyright 2013-2016 Encripto AS. All rights reserved.        #
#                                                              #
# BT3 is licensed under the FreeBSD license.                   #
# http://www.freebsd.org/copyright/freebsd-license.html        #
#                                                              #
################################################################


class Info:

    def __init__(self):
        self.author          = "Juan J. Guelfo @ Encripto AS"
        self.description     = "Cryptowall v3 ransomware profile."
        self.license         = "FreeBSD - http://www.freebsd.org/copyright/freebsd-license.html"
        self.references      = "http://www.malware-traffic-analysis.net/2015/02/13/index.html"

class Request:

    def __init__(self):
        self.method          = "POST"
        self.URI             = ["/img4.php?u=p031cd8b8fyu"]
        self.body            = "y=4d7672cbce0811af9fa479bcb118997487a79498703383ce60537884e5e1cf88f91cc056f9ba70a8c51f68fa5bef104850341d569bd6ff6d6a74049d2f7c9aa8243a98a6&i=761237\\r\\n\\r\\n"
        self.headers         = [{"field" : "Accept",          "value" : "*/*"},
                                {"field" : "Content-Type",    "value" : "application/x-www-form-urlencoded"},
                                {"field" : "Connection",      "value" : "Close"},
                                {"field" : "Content-Length",  "value" : "144"},
                                {"field" : "User-Agent",      "value" : "Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.1; SV1; InfoPath.2; .NET CLR 2.0.50727; .NET CLR 3.0.04506.648; .NET CLR 3.5.21022)"},
                                {"field" : "Host",            "value" : "captainblowdri.com"},
                                {"field" : "Cache-Control",   "value" : "no-cache"}]


class Response:

    def __init__(self):
        self.code            = "200"
        self.banner          = "Apache"
        self.body            = ""
        self.headers         = [{"field" : "Connection", "value" : "close"},
                                {"field" : "Content-type",  "value" : "text/html"}]


class Network:

    def __init__(self):
        self.protocol        = "HTTP/1.1"
        self.encoding        = "hex"
        self.delay           = "5"
        self.jitter          = "0"


class Profile:

    def __init__(self):
        self.info     = Info()
        self.request  = Request()
        self.response = Response()
        self.network  = Network()
        

