#!/usr/bin/python

################################################################
#                                                              #
# Blue Team Training Toolkit (BT3)                             #
# written by Juan J. Guelfo @ Encripto AS                      #
# post@encripto.no                                             #
#                                                              #
# Copyright 2013-2016 Encripto AS. All rights reserved.        #
#                                                              #
# BT3 is licensed under the FreeBSD license.                   #
# http://www.freebsd.org/copyright/freebsd-license.html        #
#                                                              #
################################################################


import random, string, zlib


def generate_body(size=100, chars=string.ascii_uppercase +  string.ascii_lowercase):
    return ''.join(random.choice(chars) for _ in range(size))


class Info:

    def __init__(self):
        self.author          = "Juan J. Guelfo @ Encripto AS"
        self.description     = "Ghostnet APT profile based on ASP technology."
        self.license         = "FreeBSD - http://www.freebsd.org/copyright/freebsd-license.html"
        self.references      = "http://www.trendmicro.com/cloud-content/us/pdfs/security-intelligence/white-papers/wp-detecting-apt-activity-with-network-traffic-analysis.pdf"
     

class Request:

    def __init__(self):
        self.method          = "GET"
        self.URI             = ["/l/v2/loginv2.asp?hi=123&x=.'..[xf).|.3XqHr....)IL{..&y=192.168.0.69"]
        self.body            = ""
        self.headers         = [{"field" : "User-Agent",      "value" : "Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.1; SV1; .NET CLR 1.1.4322; .NET CLR 2.0.50727; InfoPath.1)"},
                                {"field" : "Host",            "value" : "www.palms-us.org"}]


class Response:

    def __init__(self):
        self.code            = "200"
        self.banner          = "Microsoft-IIS/6.0"
        self.body            = "GhOst%s" % str(zlib.compress(generate_body(random.randint(250, 1000)), 1))[5:]
        self.headers         = [{"field" : "Content-type",  "value" : "text/html"},
                                {"field" : "X-Powered-By",  "value" : "ASP.NET" }]


class Network:

    def __init__(self):
        self.protocol        = "HTTP/1.1"
        self.encoding        = "none"
        self.delay           = "3"
        self.jitter          = "25"


class Profile:

    def __init__(self):
        self.info     = Info()
        self.request  = Request()
        self.response = Response()
        self.network  = Network()
        

