#!/usr/bin/python

################################################################
#                                                              #
# Blue Team Training Toolkit (BT3)                             #
# written by Juan J. Guelfo @ Encripto AS                      #
# post@encripto.no                                             #
#                                                              #
# Copyright 2013-2016 Encripto AS. All rights reserved.        #
#                                                              #
# BT3 is licensed under the FreeBSD license.                   #
# http://www.freebsd.org/copyright/freebsd-license.html        #
#                                                              #
################################################################


import random, string


def generate_body(size=100, chars=string.ascii_uppercase +  string.ascii_lowercase):
    return ''.join(random.choice(chars) for _ in range(size))


class Info:

    def __init__(self):
        self.author          = "Juan J. Guelfo @ Encripto AS"
        self.description     = "Zemot trojan profile."
        self.license         = "FreeBSD - http://www.freebsd.org/copyright/freebsd-license.html"
        self.references      = "https://www.encripto.no"
        

class Request:

    def __init__(self):
        self.method          = "GET"
        self.URI             = ["/catalog/54676"]
        self.body            = ""
        self.headers         = [{"field" : "Accept",          "value" : "*/*"},
                                {"field" : "Connection",      "value" : "Close"},
                                {"field" : "User-Agent",      "value" : "Mozilla/4.0 (compatible; MSIE 8.0; Windows NT 5.1; Trident/4.0; .NET CLR 2.0.50727; .NET CLR 3.0.04506.30; .NET CLR 3.0.4506.2152; .NET CLR 3.5.30729; .NET CLR 4.0.3219)"},
                                {"field" : "Host",            "value" : "biggercarz.ru"},
                                {"field" : "Cache-Control",   "value" : "no-cache"}]


class Response:

    def __init__(self):
        self.code            = "200"
        self.banner          = "nginx"
        self.body            = "%s" % generate_body(random.randint(250, 1000))
        self.headers         = [{"field" : "Content-type",  "value" : "text/html;charset=utf-8"},
                                {"field" : "Connection",    "value" : "close"}]


class Network:

    def __init__(self):
        self.protocol        = "HTTP/1.1"
        self.encoding        = "bin"
        self.delay           = "2"
        self.jitter          = "0"


class Profile:

    def __init__(self):
        self.info     = Info()
        self.request  = Request()
        self.response = Response()
        self.network  = Network()
        

